
import Vue from 'vue'
import VueI18n from 'vue-i18n'

Vue.use(VueI18n)

const i18n = new VueI18n({
  locale: process.env.MIX_VUE_APP_I18N_LOCALE || 'en',
  fallbackLocale: process.env.MIX_VUE_APP_I18N_FALLBACK_LOCALE || 'en',
  silentTranslationWarn: true
})


export function fetchMessages(locale) {
  return axios.get('/api/locales/messages').then(response => {
    i18n.setLocaleMessage(locale, response.data);
    i18n.locale = locale
    i18n.silentTranslationWarn= false
  })
}

export default i18n;